%define name xsidplay
%define version 1.6.5.2
%define release %mkrel 4

Name: %{name}
Summary: A Commdore 64 music player and SID chip emulator for X11
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
Group: Sound
Source: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/%{name}-%{version}.tar.bz2
Source1: %{name}-48.png
Source2: %{name}-32.png
Source3: %{name}-16.png
Patch: xsidplay-1.6.5.2-gcc4.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel 
BuildRequires: libsidplay-devel < 2
BuildRequires: sidplay2-devel >= 2.1.0-0.20020903.1mdk
BuildRequires: tsid-devel >= 0.6
BuildRequires: libarts-devel
BuildRequires: libesound-devel	

%description
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

%package libsidplay2
#stupid rpmlint: %mklibname
Summary: Xsidplay version based on libsidplay2
Group: Sound
Requires: %{name} = %{version}
BuildRequires: automake1.4

%description libsidplay2
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

This package contains the version of xsidplay linked against the new version
of libsidplay, it needs much more processor power, but it has a much better 
sound quality.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

#fix path in man page
perl -pi -e "s!%{_datadir}/doc/%{name}!%{_datadir}/doc/%{name}-%{version}!" xsidplay.1

%build
export LDFLAGS="-lsidplay2"
export CC=g++
%configure2_5x --with-qt3 --with-qt-dir=%{_prefix}/lib/qt3 --with-qt-libraries=%_prefix/lib/qt3/%_lib --with-sidplay2 --with-sidplay-lib=%_libdir
%make 
mv src/xsidplay xsidplay-libsidplay2
make clean
rm -f config.cache
unset LDFLAGS
%configure2_5x --with-qt3 --with-qt-dir=%{_prefix}/lib/qt3 --with-qt-libraries=%{_prefix}/lib/qt3/%_lib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgdatadir=%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
# menu causes rpmlint warning, but that's ok, xsidplay is provided by
# alternative
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/xsidplay
?package(xsidplay):\
needs="x11"\
section="Multimedia/Sound"\
title="Xsidplay"\
longtitle="QT version of the C64 music player"\
command="xsidplay"\
icon="xsidplay.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xsidplay
Comment=QT version of the C64 music player
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Player;
EOF
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/xsidplay.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/xsidplay.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/xsidplay.png

cp xsidplay-libsidplay2 $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
mv xsidplay xsidplay-libsidplay1

rm -f %buildroot%{_datadir}/icons/mini/xsidplay.xpm
rm -f %buildroot%{_datadir}/icons/xsidplay.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay1 10
[ -e %{_bindir}/%{name} ] || update-alternatives --auto %{name}

%postun
%{clean_menus}
[ "$1" = "0" ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay1


%post libsidplay2
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay2 20

%postun libsidplay2
[ $1 = 0 ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay2

%files
%defattr(-,root,root)
%doc AUTHORS README README.LIRC README.QT README.TSID README.music 
%doc hv_sids.faq STIL.faq
%{_bindir}/xsidplay-libsidplay1
%{_iconsdir}/xsidplay.png
%{_iconsdir}/mini/xsidplay.png
%{_liconsdir}/xsidplay.png
%_datadir/applications/mandriva-*
%{_menudir}/xsidplay
%{_mandir}/man1/xsidplay.1*

%files libsidplay2
%defattr(-,root,root)
%doc README.sidplay2
%{_bindir}/xsidplay-libsidplay2



%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.6.5.2-4mdv2008.1
+ Revision: 140994
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill icon tag (unused and breaks build with iurt)
    - import xsidplay


* Wed Jul  5 2006 Gtz Waschk <waschk@mandriva.org> 1.6.5.2-4mdv2007.0
- xdg menu

* Thu Sep  8 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5.2-3mdk
- patch for gcc 4

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5.2-2mdk
- fix build on x86_64

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5.2-1mdk
- fix build
- drop all patches
- fix source URL
- New release 1.6.5.2

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5.1a-3mdk
- fix auto* calls
- patch for new g++

* Tue Oct  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5.1a-2mdk
- drop prefix
- fix buildrequires

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5.1a-1mdk
- new version

* Sat Feb  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5.1-1mdk
- new version

* Sun Dec 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre20.1mdk
- new version

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre19.2mdk
- new tsid

* Thu Dec 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre19.1mdk
- remove the unpackaged files from buildroot
- fix build
- new version

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre18.1mdk
- patch for qt configure check
- 1.6.5pre18

* Wed Sep 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre15.1mdk
- drop patch 1 (obsolete)
- drop patch 0 (merged)
- new version

* Tue Sep  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre14.2mdk
- hopefully fix patch 1

* Tue Sep  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre14.1mdk
- patch 1 is a compilation fix for the libsidplay2 api
- require newer libsidplay versions for build
- fix documentation
- new version

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre13.2mdk
- rebuild with gcc 3.2-0.3mdk

* Tue Aug 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre13.1mdk
- new version
- build with arts and esd

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre8.3mdk
- better icons
- reenable tsid

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre8.2mdk
- gcc 3.2 build

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre8.1mdk
- new prerelease

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-0.pre5.1mdk
- patch to fix autoconf script
- temporary disable tsid
- enable normal optimization thanks to gcc3.1
- qt3
- don't compress png files
- 1.6.5pre5

* Sun Mar 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-5mdk
- rebuild with new libsidplay1

* Tue Feb 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-4mdk
- move example tunes to libsidplay2 package, they require libsidplay2

* Wed Feb  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-3mdk
- png icons
- fix qt2 build
- rebuild with new tsid 0.6

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-2mdk
- rebuild with new tsid 0.5

* Wed Dec 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-1mdk
- build with libsidplay 1.36.49
- 1.6.4.3

* Fri Nov 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.2-2mdk
- fix menu (just ignore rpmlint warning)
- fix doc path in man page

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.2-1mdk
- 1.6.4.2
- added new man page to file list

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-1mdk
- %%makeinstall_std
- 1.6.4

* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.3-1mdk
- adaptions for new %%makeinstall
- 1.6.3

* Tue Oct 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2.1-2mdk
- fixed build with newer libqt2
- rebuild against tsid 0.4

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.6.2.1-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 1.6.2.1-1mdk
	- 1.6.2.1

* Wed Aug  8 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- fixed icons

* Thu May  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.15mdk
- 1.6b12
- split libsidplay2-based version as an alternative

* Tue Mar 27 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.14mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com>:
	- Rebuild against TSID 0.3

* Tue Mar 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.13mdk
- use gcc 2.96, else it doesn't work
- fix optimization flags to allow compilation

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.6-0.12mdk
- Rebuild against Qt 2.3.0

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.11mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.11mdk
	- 1.6pre11
	- updated documentation section
	- added build requirement for tsid-devel
- use egcs

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.4-2mdk
- Fix build

* Fri Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.4-1mdk
- updated to 1.5.4

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	1.5.2
	removed obsoleted patch

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-2mdk
- used srpm from Gtz Waschk :
	Wed Oct  4 2000 Gtz Waschk <waschk@linux-mandrake.com> 
	- includes brownpaperbag patch, fixes the parsing of SONGLENGTHS.txt

* Sun Oct  1 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- used srpm from Gtz Waschk :
	Thu Sep 21 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
	- 1.4.0
	- macros
	- qt2

* Tue Jul 25 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.3.9-2mdk
- cleaned spec
- added large icon
- BM

* Sat Jul 15 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.3.9-1mdk
- initial mandrake release

